<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cybsp__types_8h" kind="file" language="C++">
    <compoundname>cybsp_types.h</compoundname>
    <includes local="yes">cyhal_pin_package.h</includes>
    <includedby local="yes" refid="cybsp_8h">cybsp.h</includedby>
    <incdepgraph>
      <node id="11">
        <label>cyhal_pin_package.h</label>
      </node>
      <node id="10">
        <label>cybsp_types.h</label>
        <link refid="cybsp__types_8h" />
        <childnode refid="11" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__bsp__pin__state_1gaedfd071923034a335d143b7b64579169" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_ON</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for the LED on. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="73" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="73" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga31577fad7e20fcb174e2ecbea2dd063e" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for the LED off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="77" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="77" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga7778aac7809929e1032f406b59cbad90" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_PRESSED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for when a button is pressed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="82" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="82" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1gafb9176679302bc5b2e002ad7caa56b09" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for when a button is released. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="86" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="86" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga06219bda16fc1990089009f600b3f045" kind="define" prot="public" static="no">
        <name>CYBSP_LED3_RGB_RED</name>
        <initializer>(P9_4)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Red. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="105" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="105" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gacef0f5e3af580e1ae8d18806a3769e03" kind="define" prot="public" static="no">
        <name>CYBSP_LED3_RGB_GREEN</name>
        <initializer>(P9_6)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Green. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="109" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="109" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga521256b9e02feca173fb326bbe34755c" kind="define" prot="public" static="no">
        <name>CYBSP_LED3_RGB_BLUE</name>
        <initializer>(P9_5)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Blue. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="113" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="113" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED1</name>
        <initializer>(CYBSP_LED_RGB_RED)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Red; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="118" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="118" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga5e8df86514516cce06b41a40f749c898" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED2</name>
        <initializer>(CYBSP_LED_RGB_GREEN)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Green; User LED2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="122" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="122" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga765a10242952bc96a34adc577fee8a20" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED3</name>
        <initializer>(CYBSP_LED_RGB_BLUE)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Blue; User LED3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="126" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="126" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gacc2bba8588b183ec1d448eda9a039d7c" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb">CYBSP_USER_LED1</ref>)</initializer>
        <briefdescription>
<para>LED 3: RGB LED - Red; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="130" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="130" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga66053f56ad1d1992e7059a8734d8de14" kind="define" prot="public" static="no">
        <name>CYBSP_SW2</name>
        <initializer>(P0_4)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="142" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="142" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga66053f56ad1d1992e7059a8734d8de14">CYBSP_SW2</ref>)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="147" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="147" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga72717d2a6e1a64352274dfb2e5649ee9" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341">CYBSP_USER_BTN1</ref>)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="151" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="151" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8fe68f7298c5d517551380bb12d49cda" kind="define" prot="public" static="no">
        <name>CYBSP_UART_RX</name>
        <initializer>P5_0</initializer>
        <briefdescription>
<para>Pin: UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="163" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="163" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga93e9ccde5f5dc113c95d46e6401c6b51" kind="define" prot="public" static="no">
        <name>CYBSP_UART_TX</name>
        <initializer>P5_1</initializer>
        <briefdescription>
<para>Pin: UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="165" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="165" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gae1daa9ae5985d8f4002347eee1362c76" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_RX</name>
        <initializer>P5_0</initializer>
        <briefdescription>
<para>Pin: UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="168" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="168" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaea8cd882c067c13b1411796d5235286d" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_TX</name>
        <initializer>P5_1</initializer>
        <briefdescription>
<para>Pin: UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="170" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="170" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga034bfe0f68224dd376a9a79e07ab3451" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SCL</name>
        <initializer>P6_4</initializer>
        <briefdescription>
<para>Pin: I2C SCL. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="173" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="173" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad178ee7378678fe5829a826f9a4ed0b8" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SDA</name>
        <initializer>P6_5</initializer>
        <briefdescription>
<para>Pin: I2C SDA. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="175" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="175" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga9fba070d4040d6aa4f3e429bdfc38946" kind="define" prot="public" static="no">
        <name>CYBSP_SWDIO</name>
        <initializer>P6_6</initializer>
        <briefdescription>
<para>Pin: SWDIO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="178" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="178" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8f50aad29445466679abdcc75dcd9796" kind="define" prot="public" static="no">
        <name>CYBSP_SWDCK</name>
        <initializer>P6_7</initializer>
        <briefdescription>
<para>Pin: SWDCK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="180" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="180" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga07b4c8b6a15a1e614ff9be2ebe8088fd" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_MOSI</name>
        <initializer>(P9_0)</initializer>
        <briefdescription>
<para>Pin: SPI MOSI. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="184" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="184" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaf6282da9ac2be0fe7a4ac84735a24bb0" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_MISO</name>
        <initializer>(P9_1)</initializer>
        <briefdescription>
<para>Pin: SPI MISO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="188" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="188" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gabeb93b3f9b953934666f83a1a97c4367" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_CLK</name>
        <initializer>(P9_2)</initializer>
        <briefdescription>
<para>Pin: SPI CLK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="192" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="192" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad8d3655d655bb752363587ea521c8856" kind="define" prot="public" static="no">
        <name>CYBSP_SPI_CS</name>
        <initializer>(P9_3)</initializer>
        <briefdescription>
<para>Pin: SPI CS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="196" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="196" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gae4c804044ed1e8745433efc32f1e3de5" kind="define" prot="public" static="no">
        <name>CYBSP_A0</name>
        <initializer>(P10_4)</initializer>
        <briefdescription>
<para>Arduino A0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="208" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="208" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaeb5533ea084a75773bd3f2aaf3363ac9" kind="define" prot="public" static="no">
        <name>CYBSP_A1</name>
        <initializer>(P10_5)</initializer>
        <briefdescription>
<para>Arduino A1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="212" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="212" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga3e497e03e8e9d8bd597f01426bc4b70a" kind="define" prot="public" static="no">
        <name>CYBSP_A2</name>
        <initializer>(P10_2)</initializer>
        <briefdescription>
<para>Arduino A2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="216" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="216" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga53d1f02f664bd82f42989ffa5d34912e" kind="define" prot="public" static="no">
        <name>CYBSP_A3</name>
        <initializer>(P10_3)</initializer>
        <briefdescription>
<para>Arduino A3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="220" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="220" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga7d1263cd4a6e3a4225e69496f200519a" kind="define" prot="public" static="no">
        <name>CYBSP_A4</name>
        <initializer>(P10_1)</initializer>
        <briefdescription>
<para>Arduino A4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="224" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="224" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga82f65194bfe335814d88649a2033b2f4" kind="define" prot="public" static="no">
        <name>CYBSP_A5</name>
        <initializer>(P10_0)</initializer>
        <briefdescription>
<para>Arduino A5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="228" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="228" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaf3f59a1b7b94013adedd43cf3598af0a" kind="define" prot="public" static="no">
        <name>CYBSP_D0</name>
        <initializer>(P5_0)</initializer>
        <briefdescription>
<para>Arduino D0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="232" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="232" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga815d622465be76739d8e71d75725b7a5" kind="define" prot="public" static="no">
        <name>CYBSP_D1</name>
        <initializer>(P5_1)</initializer>
        <briefdescription>
<para>Arduino D1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="236" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="236" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga87244e296d0eefe46f1bb9a579b435fa" kind="define" prot="public" static="no">
        <name>CYBSP_D2</name>
        <initializer>(P5_2)</initializer>
        <briefdescription>
<para>Arduino D2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="240" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="240" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga77222cbe7f9f94826b9970c6bc4843aa" kind="define" prot="public" static="no">
        <name>CYBSP_D3</name>
        <initializer>(P5_3)</initializer>
        <briefdescription>
<para>Arduino D3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="244" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="244" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga909572ea000d856223c6298cfd4fd067" kind="define" prot="public" static="no">
        <name>CYBSP_D4</name>
        <initializer>(P5_4)</initializer>
        <briefdescription>
<para>Arduino D4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="248" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="248" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gae918eeaea45fa81576613eebef34335b" kind="define" prot="public" static="no">
        <name>CYBSP_D5</name>
        <initializer>(P5_5)</initializer>
        <briefdescription>
<para>Arduino D5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="252" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="252" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaa436fdcdd1417ce4db7d0d8d4615d60b" kind="define" prot="public" static="no">
        <name>CYBSP_D6</name>
        <initializer>(P5_6)</initializer>
        <briefdescription>
<para>Arduino D6. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="256" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="256" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga0875edb9e551c5eb01ac66dd27faf33a" kind="define" prot="public" static="no">
        <name>CYBSP_D7</name>
        <initializer>(P7_7)</initializer>
        <briefdescription>
<para>Arduino D7. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="260" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="260" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga403c81e9f770b42e8a77668c9695b2dd" kind="define" prot="public" static="no">
        <name>CYBSP_D8</name>
        <initializer>(P12_7)</initializer>
        <briefdescription>
<para>Arduino D8. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="264" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="264" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gab89ecd0381439ac9c927af7538f2afc4" kind="define" prot="public" static="no">
        <name>CYBSP_D9</name>
        <initializer>(P12_6)</initializer>
        <briefdescription>
<para>Arduino D9. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="268" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="268" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga1246432b2f280267d3b9fd90028f6244" kind="define" prot="public" static="no">
        <name>CYBSP_D10</name>
        <initializer>(P9_3)</initializer>
        <briefdescription>
<para>Arduino D10. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="272" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="272" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gac7cddcd52b382156d8cb1af96d7988b8" kind="define" prot="public" static="no">
        <name>CYBSP_D11</name>
        <initializer>(P9_0)</initializer>
        <briefdescription>
<para>Arduino D11. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="276" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="276" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gaf9602a0824b644e2c54716c328b659e8" kind="define" prot="public" static="no">
        <name>CYBSP_D12</name>
        <initializer>(P9_1)</initializer>
        <briefdescription>
<para>Arduino D12. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="280" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="280" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1gabe652026d9d18fa2c626f744e260e36e" kind="define" prot="public" static="no">
        <name>CYBSP_D13</name>
        <initializer>(P9_2)</initializer>
        <briefdescription>
<para>Arduino D13. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="284" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="284" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga7831843f5ca6c713a7adcb01291640f9" kind="define" prot="public" static="no">
        <name>CYBSP_D14</name>
        <initializer>(P6_5)</initializer>
        <briefdescription>
<para>Arduino D14. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="288" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="288" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__arduino_1ga5234f3a9694175eb70c5e20b9c1d30aa" kind="define" prot="public" static="no">
        <name>CYBSP_D15</name>
        <initializer>(P6_4)</initializer>
        <briefdescription>
<para>Arduino D15. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="292" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="292" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga42fc834359d32e2bdcfb6523ff46633e" kind="define" prot="public" static="no">
        <name>CYBSP_J6_1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1gae4c804044ed1e8745433efc32f1e3de5">CYBSP_A0</ref>)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="304" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="304" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga35ecfe1e5d38db78af4e178a848fdba4" kind="define" prot="public" static="no">
        <name>CYBSP_J6_2</name>
        <initializer>(P6_2)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="308" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="308" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga3444c20b30d0f0e1e06fce0007f11817" kind="define" prot="public" static="no">
        <name>CYBSP_J6_3</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1gaeb5533ea084a75773bd3f2aaf3363ac9">CYBSP_A1</ref>)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="312" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="312" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga15341cb2950478728916b077966bac34" kind="define" prot="public" static="no">
        <name>CYBSP_J6_4</name>
        <initializer>(P6_3)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 4. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="316" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="316" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1gad2d85735922bde56919ccff6945253bd" kind="define" prot="public" static="no">
        <name>CYBSP_J6_5</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga3e497e03e8e9d8bd597f01426bc4b70a">CYBSP_A2</ref>)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 5. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="320" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="320" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga6ff56faa8af95ad58e28db3c659d660a" kind="define" prot="public" static="no">
        <name>CYBSP_J6_6</name>
        <initializer>(P7_1)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 6. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="324" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="324" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga5829705bae0ddb551518e25c1e1c2354" kind="define" prot="public" static="no">
        <name>CYBSP_J6_7</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga53d1f02f664bd82f42989ffa5d34912e">CYBSP_A3</ref>)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 7. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="328" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="328" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga516fd5fa6b23437b2d16e5d35700963e" kind="define" prot="public" static="no">
        <name>CYBSP_J6_8</name>
        <initializer>(P7_2)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 8. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="332" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="332" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga363ec2653bdeb55af45a7450b9306f37" kind="define" prot="public" static="no">
        <name>CYBSP_J6_9</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga7d1263cd4a6e3a4225e69496f200519a">CYBSP_A4</ref>)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 9. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="336" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="336" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga9cfefca90d4705bbd28e413df9975f2c" kind="define" prot="public" static="no">
        <name>CYBSP_J6_10</name>
        <initializer>(P9_4)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 10. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="340" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="340" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga5fff988c988fcff8e7572dac7b0da8bc" kind="define" prot="public" static="no">
        <name>CYBSP_J6_11</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__arduino_1ga82f65194bfe335814d88649a2033b2f4">CYBSP_A5</ref>)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 11. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="344" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="344" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga4f723b321e2b78a0e60cad5b49cb6604" kind="define" prot="public" static="no">
        <name>CYBSP_J6_12</name>
        <initializer>(P9_5)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 12. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="348" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="348" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga8c96321daa4301dd77606c1243668845" kind="define" prot="public" static="no">
        <name>CYBSP_J6_13</name>
        <initializer>(P10_6)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 13. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="352" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="352" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1gaaf07d495832079763233ee7bb950ea1b" kind="define" prot="public" static="no">
        <name>CYBSP_J6_14</name>
        <initializer>(P9_6)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 14. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="356" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="356" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga3303d822eea2db4fffd212d769fa5f2a" kind="define" prot="public" static="no">
        <name>CYBSP_J6_15</name>
        <initializer>(P0_5)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 15. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="360" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="360" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__j6_1ga51aa10281408ff439d4f449e3b2b1801" kind="define" prot="public" static="no">
        <name>CYBSP_J6_16</name>
        <initializer>(P0_4)</initializer>
        <briefdescription>
<para>Cypress J6 Header pin 16. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" bodystart="364" column="9" file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" line="364" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Description: Provides APIs for interacting with the hardware contained on the Cypress CYBLE-416045-EVAL kit. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pin_package.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(COMPONENT_BSP_DESIGN_MODUS)<sp />||<sp />defined(COMPONENT_CUSTOM_DESIGN_MODUS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cycfg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_ON</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_ON<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_PRESSED</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_PRESSED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED3_RGB_RED</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED3_RGB_RED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED3_RGB_GREEN</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED3_RGB_GREEN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED3_RGB_BLUE</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED3_RGB_BLUE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED1</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED_RGB_RED)</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED2</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED_RGB_GREEN)</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED3</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED_RGB_BLUE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_LED1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="preprocessor">#ifndef<sp />CYBSP_SW2</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SW2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN1</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_SW2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_BTN1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="preprocessor">#define<sp />CYBSP_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />P5_0</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="preprocessor">#define<sp />CYBSP_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />P5_1</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_RX<sp /><sp /><sp /><sp />P5_0</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_TX<sp /><sp /><sp /><sp />P5_1</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="preprocessor">#define<sp />CYBSP_I2C_SCL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />P6_4</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="preprocessor">#define<sp />CYBSP_I2C_SDA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />P6_5</highlight><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="preprocessor">#define<sp />CYBSP_SWDIO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />P6_6</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="preprocessor">#define<sp />CYBSP_SWDCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />P6_7</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_MOSI</highlight><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_MOSI<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_MISO</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_MISO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_CLK</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_CLK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="preprocessor">#ifndef<sp />CYBSP_SPI_CS</highlight><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SPI_CS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="preprocessor">#ifndef<sp />CYBSP_A0</highlight><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="preprocessor">#ifndef<sp />CYBSP_A1</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="preprocessor">#ifndef<sp />CYBSP_A2</highlight><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="preprocessor">#ifndef<sp />CYBSP_A3</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="preprocessor">#ifndef<sp />CYBSP_A4</highlight><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="preprocessor">#ifndef<sp />CYBSP_A5</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_A5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="preprocessor">#ifndef<sp />CYBSP_D0</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="preprocessor">#ifndef<sp />CYBSP_D1</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="preprocessor">#ifndef<sp />CYBSP_D2</highlight><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="preprocessor">#ifndef<sp />CYBSP_D3</highlight><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="preprocessor">#ifndef<sp />CYBSP_D4</highlight><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="preprocessor">#ifndef<sp />CYBSP_D5</highlight><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="253"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="normal" /></codeline>
<codeline lineno="255"><highlight class="preprocessor">#ifndef<sp />CYBSP_D6</highlight><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal" /></codeline>
<codeline lineno="259"><highlight class="preprocessor">#ifndef<sp />CYBSP_D7</highlight><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D7<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="261"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="262"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="preprocessor">#ifndef<sp />CYBSP_D8</highlight><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P12_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="266"><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="preprocessor">#ifndef<sp />CYBSP_D9</highlight><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D9<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P12_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="preprocessor">#ifndef<sp />CYBSP_D10</highlight><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D10<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="274"><highlight class="normal" /></codeline>
<codeline lineno="275"><highlight class="preprocessor">#ifndef<sp />CYBSP_D11</highlight><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D11<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="preprocessor">#ifndef<sp />CYBSP_D12</highlight><highlight class="normal" /></codeline>
<codeline lineno="280"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D12<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="282"><highlight class="normal" /></codeline>
<codeline lineno="283"><highlight class="preprocessor">#ifndef<sp />CYBSP_D13</highlight><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D13<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="286"><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="preprocessor">#ifndef<sp />CYBSP_D14</highlight><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D14<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="290"><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="preprocessor">#ifndef<sp />CYBSP_D15</highlight><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_D15<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="294"><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_1</highlight><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_2</highlight><highlight class="normal" /></codeline>
<codeline lineno="308"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_3</highlight><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal" /></codeline>
<codeline lineno="315"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_4</highlight><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="317"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_5</highlight><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="321"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_6</highlight><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_6<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="325"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_7</highlight><highlight class="normal" /></codeline>
<codeline lineno="328"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_7<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="329"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="330"><highlight class="normal" /></codeline>
<codeline lineno="331"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_8</highlight><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="333"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="335"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_9</highlight><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_9<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="337"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_10</highlight><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_10<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal" /></codeline>
<codeline lineno="343"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_11</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_11<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_A5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_12</highlight><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_12<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="349"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="350"><highlight class="normal" /></codeline>
<codeline lineno="351"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_13</highlight><highlight class="normal" /></codeline>
<codeline lineno="352"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_13<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P10_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="353"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_14</highlight><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_14<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P9_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="358"><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_15</highlight><highlight class="normal" /></codeline>
<codeline lineno="360"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_15<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="preprocessor">#ifndef<sp />CYBSP_J6_16</highlight><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_J6_16<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_USING_HAL)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal" /></codeline>
<codeline lineno="373"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="374"><highlight class="normal">}</highlight></codeline>
<codeline lineno="375"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="bsp/boards/psoc6/CYBLE-416045-EVAL/cybsp_types.h" />
  </compounddef>
</doxygen>